<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";


if (!checkrights("IP")) fallback("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."attachments_admin/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."attachments_admin/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."attachments_admin/locale/English.php";
}
if(isset($_POST['a_id']))$attachid = $_POST['a_id'];
if(!isset($page))$page = 1;

if (!checkrights("S3")) fallback("../index.php");
if (!isset($attachid)) fallback("../index.php");


$result = dbquery("SELECT * FROM ".$db_prefix."forum_attachments WHERE attach_id='".$attachid."'");
$attach = dbarray($result);
$filx = FORUM."attachments/".$attach['attach_name']."[".$attach['attach_id']."]".$attach['attach_ext'];
$imagez = $attach['attach_name']."[".$attach['attach_id']."]".$attach['attach_ext'];
include("ImageEditor.php");
if ($action == "resize"){
$imageEditor = new ImageEditor($filx, FORUM."attachments/");
$imageEditor->resize($_POST['nw'], $_POST['nh']);
$imageEditor->outputFile($imagez, FORUM."attachments/");
redirect(INFUSIONS."attachments_admin/edit_img.php?attachid=".$attachid);
}

opentable($locale['ata200']);
$imageinfo = getimagesize($filx);
echo"<table width='60%' align='center' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td width='20%' class='tbl2'>".$locale['ata204'].":</td>
<td class='tbl1'>".$attach['attach_name']."[".$attach['attach_id']."]".$attach['attach_ext']."</td></tr><tr>
<td width='20%' class='tbl2'>".$locale['ata223'].":</td>
<td class='tbl1'>".parsebytesize($attach['attach_size'])."</td></tr><tr>
<td width='20%' class='tbl2'>".$locale['ata218']."</td>
<td class='tbl1'>".$imageinfo[0]."</td></tr><tr>
<td width='20%' class='tbl2'>".$locale['ata219']."</td>
<td class='tbl1'>".$imageinfo[1]."</td>
</tr>";
echo "</table>";
closetable();
tablebreak();
opentable($locale['ata228']);
echo"<center><br><img src='".$filx."'><br><br></center>";
closetable();
tablebreak();
opentable($attach['attach_name']."[".$attach['attach_id']."]".$attach['attach_ext']);
echo "<table align='center' width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>\n<tr>\n";
for ($i=1;$i < 2;$i++){
echo "<td align='center' width='20%' class='".($page == $i ? "tbl1" : "tbl2")."'><span class='small'>\n";
echo ($page == $i ? "<b>".$locale[$i]."</b>" : "<a href='".FUSION_SELF."?page=".$i."&attachid=".$attach['attach_id']."'>".$locale[$i]."</a>")."</span></td>\n";
}
echo "<td align='center' width='100%' class='tbl1'>";
echo "</tr><tr>";
echo "<td align='center' width='100%' class='tbl2' colspan='2'>";
if ($page == 1){
echo "<br><br><form name='resize' method='post' action='".FUSION_SELF."?action=resize&attachid=".$attach['attach_id']."'>
<table align='center' width='200' cellspacing='0' cellpadding='0'>
<tr>
<td class='tbl'>".$locale['ata229']."</td>
<td class='tbl'><input type='text' name='nw' value='500' class='textbox' style='width:100px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['ata230']."</td>
<td class='tbl'><input type='text' name='nh' value='500' class='textbox' style='width:100px;'></td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl'>
<input type='submit' name='resize' value='".$locale['1']."' class='button'></td>
</tr>
</table>
</form><br><br>\n";
}
echo "</td>";
echo"</table>\n";

echo "<br><center><a href='".INFUSIONS."attachments_admin/attachments_admin.php'>".$locale['ata226']."</a></center><br><br>";
  
closetable();
echo "</td>\n";
require_once BASEDIR."footer.php";
?>